/* global wp, jQuery */
/**
 * File customizer.js.
 *
 * Theme Customizer enhancements for a better user experience.
 *
 * Contains handlers to make Theme Customizer preview reload changes asynchronously.
 */

(function($) {
    "use strict";
    // Site title and description.
    wp.customize('blogname', function(value) {
        value.bind(function(to) {
            $('.site-title a').text(to);
        });
    });
    wp.customize('blogdescription', function(value) {
        value.bind(function(to) {
            $('.site-description').text(to);
        });
    });

    // Header text color.
    wp.customize('header_textcolor', function(value) {
        value.bind(function(to) {
            if ('blank' === to) {
                $('.site-title, .site-description').css({
                    clip: 'rect(1px, 1px, 1px, 1px)',
                    position: 'absolute',
                });
            } else {
                $('.site-title, .site-description').css({
                    clip: 'auto',
                    position: 'relative',
                });
                $('.site-title a, .site-description').css({
                    color: to,
                });
            }
        });
    });

    // HEADER TOP 
    wp.customize('anews_header_top_email', function(value) {
        value.bind(function(newval) {
            $(".header-lang span").html(newval);
        });
    });
    wp.customize('anews_header_top_phone', function(value) {
        value.bind(function(newval) {
            $(".header-subscribe span").html(newval);
        });
    });
    wp.customize('anews_home_top_headline_readmore', function(value) {
        value.bind(function(newval) {
            $(".anews-top-headline-wrapper .theme-btn").html(newval);
        });
    });
}(jQuery));